Subject: Re: Dental added
From: Ted Hollenbeck <[email-masked]>
To: Michael B <[email-masked]>
Date: Wed, 9 May 2018 12:10:10 +0000

Thank you Michael.  Are we looking to start the coverage May 1st or June 1st?  Ted

Sent from my iPhone

On May 9, 2018, at 7:59 AM, Michael B <[email-masked]<mailto:[email-masked]>> wrote:

Hello Ted.
Attached is the enrollment form for Anthony Fata for dental insurance. Please let me know if you have any questions.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Ted Hollenbeck<mailto:[email-masked]>
Sent: Friday, May 04, 2018 12:25 PM
To: Michael B<mailto:[email-masked]>
Subject: RE: Dental added

Hello Michael,

Thank you for the email.  I have attached the Delta Dental enrollment form for your employee.  Please have them complete the subscriber information (and dependent information if applicable) and sign the bottom of the form.  Also, let me know the desired effective date and I will get them added to the policy.  Let me know if you have any additional questions.

Thanks again!

Ted
Theodore L. Hollenbeck
Financial Technology, Inc.
P: 517-351-8600 ext. 113

From: Michael B [mailto:[email-masked]]
Sent: Friday, May 04, 2018 11:35 AM
To: Ted Hollenbeck <[email-masked]<mailto:[email-masked]>>
Subject: Dental added

Hello Ted.
I need to get dental added to one of our employees. Please send me over the correct paperwork so we can get this in place.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355
<Dental - Tony Fata.pdf>